import org.junit.jupiter.params.ParameterizedTest;
import org.junit.jupiter.params.provider.Arguments;
import org.junit.jupiter.params.provider.MethodSource;

import java.util.stream.IntStream;
import java.util.stream.Stream;

import static org.junit.jupiter.api.Assertions.*;

public class Aufgabe1Test {
    private static Stream<Arguments> getTestInputNumbers() {
        return IntStream.range(-50, 50).mapToObj(Arguments::of);
    }

    @ParameterizedTest
    @MethodSource("getTestInputNumbers")
    void magicFor(int n) {
        assertEquals(Aufgabe1.magicRecursive(n), Aufgabe1.magicFor(n));
    }

    @ParameterizedTest
    @MethodSource("getTestInputNumbers")
    void magicWhile(int n) {
        assertEquals(Aufgabe1.magicRecursive(n), Aufgabe1.magicWhile(n));
    }
}
